body{
    background-color: var(--el-bg-color);
}
.detail-wrap {
    padding-bottom: 100px;
}

.search-wrap {
    height: 80px;
    padding: 0 20px;
    background-image: url(../imgs/index/bg_search.webp);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    display: flex;
    align-items: center;
}

.search-item {
    flex: auto;
    height: 32px;
    background: var(--el-bg-color);
    border-radius: 20px;
    padding: 0 12px;
    display: flex;
    align-items: center;
}

.search-item img {
    flex: none;
    width: 16px;
    height: 16px;
    margin-right: 6px;
}

.search-item input {
    flex: auto;
    font-size: 13px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    line-height: 17px;
    border: none;
    background-color: var(--el-bg-color);
    color: var(--el-text-color-primary);
}

.ad-wrap {
    padding: 12px 12px;
}

.ad-scroll {
    font-size: 0;
    white-space: nowrap;
    overflow-x: hidden;
}

.ad-list {
    display: inline-block;
}

.ad-item {
    position: relative;
    display: inline-block;
    width: 82px;
    margin-right: 7.5px;
}

.ad-item-post {
    display: block;
    width: 100%;
    height: 82px;
    border-radius: 4px;
    object-fit: cover;
}

.ad-item-title {
    margin-top: 4px;
    font-size: 12px;
    font-family: PingFang SC, PingFang SC-Medium;
    font-weight: Medium;
    text-align: center;
    color: var(--el-text-color-primary);
    line-height: 16px;
}

.ad-sub-item-title {
    font-size: 12px;
    font-family: PingFang SC, PingFang SC-Medium;
    font-weight: Medium;
    text-align: center;
    color: var(--el-text-color-primary);
    line-height: 16px;
}

.ad-item-close {
    position: absolute;
    top: 4px;
    right: 4px;
    width: 12px;
    height: 12px;
    background: rgba(0, 0, 0, 0.40);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.ad-item-close img {
    width: 8px;
    height: 8px;

}

.content-wrap {
    padding: 12px 0px 0;
}

.manga-info-section {
    display: flex;
    padding: 0 16px;
}

.manga-post {
    flex: none;
    width: 100px;
    height: 133px;
    object-fit: cover;
    margin-right: 12px;
}

.manga-info {
    flex: auto;
    overflow: hidden;
}

.manga-name {
    font-size: 16px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: left;
    color: var(--el-text-color-primary);
    line-height: 20px;
}

.manga-author {
    margin-top: 8px;
    font-size: 12px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: left;
    color: var(--el-text-color-regular);
    line-height: 16px;
}

.manga-desc {
    margin-top: 8px;
    font-size: 12px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: justify;
    color: var(--el-text-color-regular);
    line-height: 16px;
}

.desc-toggle-row {
    display: flex;
    justify-content: flex-end;
}

.desc-toggle {
    display: flex;
    align-items: center;
}

.desc-toggle span {
    font-size: 12px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-decoration: underline;
    text-align: left;
    color: #419eff;
    line-height: 16px;
    margin-right: 2px;
}

.desc-toggle img {
    width: 12px;
    height: 12px;
}

.manga-status {
    padding: 0 16px;
    margin-top: 12px;
    font-size: 12px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: left;
    color: var(--el-text-color-regular);
    line-height: 16px;
}

.manga-tags {
    padding: 0 16px;
    margin-top: 8px;
    font-size: 12px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: left;
    color: var(--el-text-color-regular);
    line-height: 16px;
}

.manga-tags .hr {
    margin: 0 2px;
}

.menu-wrap {
    margin-top: 20px;
    padding: 0 16px;
    display: flex;
    align-items: center;
}

.menu-item {
    font-size: 16px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: bold;
    text-align: left;
    color: var(--el-text-color-regular);
    line-height: 22.5px;
    margin-right: 20px;
}

.menu-item.active {
    color: #419EFF;
}

.menu-item .count {
    font-weight: 400;
    font-size: 12px;
}

.catelog-wrap {
    padding: 12px 16px 0;
}

.catelog-header {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

.catelog-total {
    flex: auto;
    font-size: 12px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: left;
    color: var(--el-text-color-secondary);
    line-height: 16px;
    word-break: break-all;
    word-wrap: break-word;
    overflow-wrap: break-word; 
}

.catelog-order {
    margin-left: 16px;
    flex: none;
    font-size: 12px;
    font-family: PingFang SC, PingFang SC-Medium;
    font-weight: Medium;
    text-align: left;
    color: var(--el-text-color-regular);
    line-height: 16px;
    display: flex;
    align-items: center;
}

.catelog-order .hr {
    width: 1px;
    height: 12px;
    background: #e5e5e5;
    margin: 0 8px;
}

.catelog-order .active {
    color: #419eff;
}

.catelog-list {
    margin-top: 16px;
    margin-bottom: 4px;
    font-size: 0;
}

.catelog-item-box {
    display: inline-block;
    vertical-align: top;
    width: 48.2%;
    margin-right: 3.5%;
    margin-bottom: 12px;
}


.catelog-list .catelog-item-box:nth-child(2n+2) {
    margin-right: 0;
}

.catelog-item {
    display: block;
    text-align: center;
    padding: 0 12px;
    box-sizing: border-box;
    height: 32px;
    background: rgba(65, 158, 255, 0.12);
    border-radius: 16px;
    line-height: 32px;
    font-size: 12px;
    font-family: PingFang SC, PingFang SC-Medium;
    font-weight: Medium;
    text-align: center;
    color: #419eff;
}

.catelog-item-box.hide {
    display: none;
}

.fold-btn {
    padding: 0 12px;
    text-align: center;
}

.fold-btn span {
    font-size: 12px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: left;
    color: var(--el-text-color-regular);
    line-height: 16px;
    margin-right: 4px;
}

.fold-btn img {
    width: 12px;
    height: 12px;
    vertical-align: middle;
}

.ad-section {
    position: relative;
    margin-top: 16px;
    padding: 0 16px;
}
.ad-section2 {
    position: relative;
    margin-top: 16px;
    display: flex;
    justify-content: center;
}

.page-bottom-ad-wrap .ad-close-btn {
    position: absolute;
    top: 0px;
    right: 0px;
    width: 18px;
    height: 18px;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    
}
.page-bottom-ad-wrap .ad-close-btn img{
    width: 12px;
    height: 12px;
}

.page-bottom-ad-wrap{
    width: 320px;
    position: relative;
}


.ad-banner {
    display: block;
    position: relative;
    overflow: hidden;
    border-radius: 4px;
    background-color: #d8d8d8;
    padding-top: 12.83%;
}

.ad-banner .ad-img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.ad-banner .ad-close-btn {
    position: absolute;
    top: 6px;
    right: 6px;
    width: 8px;
    height: 8px;
}

.detail-footer-section {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 62px;
    background: var(--el-bg-color);
    border-top: 1px solid var(--el-bg-color-regular);
    display: flex;
    align-items: center;
    padding: 12px 16px;
    box-sizing: border-box;
}

.star-btn {
    flex: none;
    /* width: 84px; */
    height: 38px;
    background: #f4f4f4;
    border-radius: 19px;
    padding: 0 20px 0 20px;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 16px;

}

.star-btn img {
    width: 16px;
    height: 16px;
    margin-right: 4px;
}

.star-btn span {
    font-size: 12px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: left;
    color: #666666;
    line-height: 16px;
}

.read-btn {
    flex: auto;
    height: 38px;
    background: #419eff;
    border-radius: 19px;
    line-height: 39px;
    text-align: center;
    font-size: 16px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    color: #ffffff;
    padding: 0 12px;
    box-sizing: border-box;
}

.comment-wrap {
    padding-top: 14px;
}

.input-comment {
    display: flex;
    align-items: center;
    padding: 0 16px;
}

.my-avator {
    flex: none;
    width: 32px;
    height: 32px;
    border-radius: 50%;
    margin-right: 12px;
    border: 1px solid #e5e5e5;
    object-fit: cover;
}

.input-box {
    flex: auto;
    height: 32px;
    background: var(--el-bg-color-regular);
    border-radius: 18px;
    display: flex;
    align-items: center;
    padding: 0 16px;
    box-sizing: border-box;
}

.input-box input {
    flex: auto;
    border: none;
    font-size: 13px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: left;
    color: #999999;
    line-height: 17px;
    background-color: var(--el-bg-color-regular);
}

.send-emoji {
    flex: none;
    width: 14px;
    height: 14px;
    margin-left: 13px;
}

.send-pic {
    flex: none;
    width: 16px;
    height: 16px;
    margin-left: 13px;
}

.comment-list {
    margin-top: 4px;
}

.comment-item {
    padding: 16px;
    border-bottom: 1px solid var(--el-bolder-color);
    display: flex;
}

.user-avator {
    flex: none;
    width: 32px;
    height: 32px;
    border-radius: 50%;
    margin-right: 12px;
    border: 1px solid #e5e5e5;
    object-fit: cover;
}

.comment-info {
    flex: auto;
    overflow: hidden;
}

.user-name .name {
    font-size: 12px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: left;
    color: var(--el-text-color-regular);
    line-height: 16px;
}

.user-name .lv {
    display: inline-block;
    height: 16px;
    background: rgba(65, 158, 255, 0.16);
    border-radius: 2px;
    padding: 0 2px;
    line-height: 16px;
    font-size: 10px;
    text-align: left;
    color: #419eff;
}

.send-time {
    margin-top: 2px;
    font-size: 10px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: left;
    color: #979797;
    line-height: 14px;
}

.comment-content {
    margin-top: 8px;
    font-size: 12px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: left;
    color: var(--el-text-color-regular);
    line-height: 16px;
    word-break: break-all;
}

.replay-opts-row {
    margin-top: 12px;
    display: flex;
    align-items: center;
}

.opt-btn {
    flex: none;
    display: flex;
    align-items: center;
    margin-right: 16px;
}

.opt-btn img {
    width: 16px;
    height: 16px;
}

.opt-btn span {
    margin-left: 4px;
    font-size: 12px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: left;
    color: #979797;
    line-height: 16px;
}

.replay-list-box {
    margin-top: 12px;
    padding: 8px 12px;
    background: var(--el-bg-color-regular);
    border-radius: 4px;
}

.replay-item {
    margin-bottom: 8px;
}

.replay-user-name {
    font-size: 12px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: left;
    color: #419eff;
    line-height: 16px;
}

.replay-content {
    font-size: 12px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: left;
    color: var(--el-text-color-regular);
    line-height: 16px;
}

.replay-list .replay-item:last-child {
    margin-bottom: 0;
}
.replay-item.hide{
    display: none;
}

.total-replay {
    display: inline-block;
    vertical-align: top;
    /* margin-top: 8px; */
}

.total-replay span {
    font-size: 12px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    text-align: left;
    color: #419eff;
    line-height: 16px;
}

.total-replay img {
    width: 12px;
    height: 12px;
    vertical-align: middle;
}
.comment-list .comment-item:last-child{
    border-bottom: none;
}

.scroll-top{
    position: fixed;
    right: 12px;
    bottom: 124px;
    width: 40px;
    height: 40px;
    z-index: 1001;
}
.scroll-bottom{
    position: fixed;
    right: 12px;
    bottom: 78px;
    width: 40px;
    height: 40px;
    z-index: 1001;
}
.reply-popup-wrap{
    padding: 16px;
    display: flex;
}
.reply-popup-wrap input {
    flex: auto;
    font-size: 13px;
    font-family: PingFang SC, PingFang SC-Regular;
    font-weight: Regular;
    line-height: 17px;
    border: none;
    background-color: var(--el-bg-color);
    color: var(--el-text-color-primary);
}
.container-6ad9e5a9c6625d5fe3f505b2c1749c34__bn-container{
    flex: 1 1 25%!important;
}
.container-6ad9e5a9c6625d5fe3f505b2c1749c34__title{
    color: var(--el-text-color-primary);
    font-size: 12px!important;
    display: -webkit-box!important;      /* 使用弹性盒子模型 */
    -webkit-line-clamp: 2!important;     /* 限制显示行数 */
    -webkit-box-orient: vertical!important; /* 垂直排列 */
    overflow: hidden!important;          /* 隐藏溢出内容 */
    text-overflow: ellipsis!important;   /* 显示省略号 */
    z-index: 0!important;
     word-break: break-word; /* 需要添加断词规则 */
     line-height: 16px;
     height: 24px;
     min-height: auto!important;
}